Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Interface PropertyChangeListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  BeanContextSupport, JList.AccessibleJList, JTable.AccessibleJTable, DefaultTableColumnModel, BasicComboPopup.PropertyChangeHandler, BasicOptionPaneUI.PropertyChangeHandler, BasicTabbedPaneUI.PropertyChangeHandler, BasicInternalFrameTitlePane.PropertyChangeHandler, BasicScrollBarUI.PropertyChangeHandler, BasicToolBarUI.PropertyListener, BasicButtonListener, BasicInternalFrameUI.InternalFramePropertyChangeListener, BasicListUI.PropertyChangeHandler, BasicLabelUI, BasicComboBoxUI.PropertyChangeHandler, BasicDirectoryModel, BasicColorChooserUI.PropertyHandler, BasicTreeUI.PropertyChangeHandler, BasicTreeUI.SelectionModelPropertyChangeHandler, BasicSplitPaneUI.PropertyHandler, BasicSplitPaneDivider, BasicScrollPaneUI.PropertyChangeHandler, BasicRootPaneUI, BasicSliderUI.PropertyChangeHandler, MetalFileChooserUI.FilterComboBoxModel, MetalToolBarUI.MetalRolloverListener

public interface PropertyChangeListener
extends EventListener

A "PropertyChange" event gets fired whenever a bean changes a "bound" property. You can register a PropertyChangeListener with a source bean so as to be notified of any bound property updates.

Method Summary
`void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed.

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed.
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.